import { FC } from "react";
import { ScrollSpyActions, ScrollSpyEntry, ScrollSpyParams } from "./type";
/**
 * @param ScrollSpyParams Optional params
 * @param ScrollSpyParams.offsetPx Distance from Y coordinate of the base (px)
 * @param ScrollSpyParams.throttleMs Interval of update processing (ms)
 * @returns [ ScrollSpyProvider, useScrollSpyContext ] - Two return values are returned as an array
 * @returns ScrollSpyProvider - This Provider components provides useScrollSpy return value descendants of this Provider
 * @returns useScrollSpyContext - Function is
 */
export declare const createScrollSpyContext: ({ offsetPx, throttleMs, }?: ScrollSpyParams) => {
    Provider: FC<{}>;
    getActiveEntry: () => ScrollSpyEntry | null;
    getActions: () => ScrollSpyActions;
};
